Reorder Chat Queue
curl --request PATCH \
--url https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/reorder \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "<string>",
"position": 123
}
'import requests
url = "https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/reorder"
payload = {
"messageId": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messageId: '<string>', position: 123})
};
fetch('https://api.tryreplicas.com/v1/replica/{id}/chats/{chatId}/queue/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"queue": [
{
"id": "<string>",
"message": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"senderUserId": "<string>",
"senderEmail": "<string>",
"senderDisplayName": "<string>"
}
]
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Replica
Reorder Chat Queue
Moves a queued message to a new zero-based position.
PATCH
/
v1
/
replica
/
{id}
/
chats
/
{chatId}
/
queue
/
reorder
Reorder Chat Queue
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.
Path Parameters
The unique identifier of the replica
The unique identifier of the chat
Body
application/json
⌘I